1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Patching 8.6 to 8.6.0.4: howto ?

Discussion in 'Plesk for Linux - 8.x and Older' started by phlampe, Oct 2, 2008.

  1. phlampe

    phlampe New Pleskian

    22
    73%
    Joined:
    Jun 23, 2008
    Messages:
    17
    Likes Received:
    0
    Hello All!

    I have upgraded my Plesk installation running on Debian 4.0 from 8.4 to 8.6 using the updater in the graphical interface.
    The statistics page tells me that I have version "psa v8.6.0_build86080905.19 os_Debian 4.0" installed, and the updater doesn't find anything else to update.

    But when I check the patches page, I find that a patch 8.6.0.4 is available here http://www.parallels.com/en/download/plesk86/ , with a different build number : http://download1.parallels.com/Ples....0-debian4.0.build86080925.19_i386.deb.tar.gz

    How do I install this patch ?
    Using the graphical updater, shall I give the url of the file to download as the source, or should I download it locally and then run the autoinstaller using this file as the source ?
    And also, is the patch 8.6.0.4 cumulative and includes the previous patches ?

    Thanks for your help,
    Paul-Henri
     
  2. ziba@

    ziba@ Guest

    0
     
    Hi,

    8.6.0.4 should be cumulative.
    You can also try installing it using command line autoinstaller utility (just make sure to download the latest version of autoinstaller).

    Also check what nuild version will dpkg -l psa show. Maybe statistics page is lying :)
    If using autoinstaller does not help then you should try downloading .tar.gz package with latest build, unpack it and install packages manually or run autoinstaller and set source to the directory where latest build was extracted:
    http://download1.swsoft.com/Plesk/Plesk8.6/Doc/en-US/plesk-8.6-unix-installation-guide/18520.htm

    hope this helps.
     
  3. phlampe

    phlampe New Pleskian

    22
    73%
    Joined:
    Jun 23, 2008
    Messages:
    17
    Likes Received:
    0
    Thanks for your answers :)

    In fact, it seems my server is sort of weirdly installed: the kernel says it's a Debian, but everything else says it's a Fedora Core 4. That seems to mess up the Plesk installer which claims that there is no update for my system, and that's why I'm trying to manually force it.

    I tried to change the source, but it looks for a .inf3 file : which one is it ? There isn't any in the 8.6.0.4 tarball, and the ones I find (in /root/parallels , /root/plesk or /root/psa) all end up with a message telling me that my system isn't supported (the autoinstaller thinks it's a Fedora Core 9...)

    Paul-Henri
     
  4. prowler318

    prowler318 Guest

    0
     
    You should navigate to the compenent section of plesk panel and check your builds amongst that.
     
Loading...